Skip to content

Ramp: Create a user invite — request body — body

Create a user invite: request body, field body. Complete fields and constraints for contract 2026-10-27.

API reference · Contract 2026-10-27

SDK schema: Create a user invite — request body — body

FieldTypePresenceDescription and constraints
$objectRoot
department_idstringOptionalUnique identifier of the employee’s department
Format: uuid
direct_manager_idstringOptionalUnique identifier of the employee’s direct manager
Format: uuid
emailstringRequired within parentThe employee’s email address
Format: email
first_namestringRequired within parentFirst name of the employee
Maximum length: 255
idempotency_keystringRequired within parentan idempotency key is a unique value generated by the client which the server uses to recognize subsequent retries of the same request. To avoid collisions, we encourage clients to use random generated UUIDs.
is_draftbooleanOptionalWhen set to true, the user will be created as a draft. Draft users are not sent an invite email and must be explicitly activated later, which can be accomplished in-app or via the `POST /users/<string:user_id>/invite` resource.
is_managerbooleanOptionalWhether the employee is a manager
last_namestringRequired within parentLast name of the employee
Maximum length: 255
location_idstringOptionalUnique identifier of the employee’s location
Format: uuid
rolestringRequired within parentThe employee’s role; It could be one of the following values: Admin, Cardholder, Bookkeeper; Note that Owner is not a invitable role.
One of: AUDITOR, BUSINESS_ADMIN, BUSINESS_BOOKKEEPER, BUSINESS_OWNER, BUSINESS_USER, GUEST_USER, IT_ADMIN
scheduled_deactivation_dateJSONOptional
scheduled_deactivation_date (anyOf 1)stringAlternativeThe date when the user is scheduled to be deactivated. For guest users, this will automatically be set to 6 months from the invite creation date unless explicitly set to null. Cannot be set for admins or owners.
Format: date
scheduled_deactivation_date (anyOf 2)nullAlternative

Report an issue with this page

Necessary

Required for sign-in, security, authorization, and remembering your choices.

Always active

Analytics

Helps us understand which product and documentation features are useful.

Performance diagnostics

Uses performance tracing and privacy-masked session replay to diagnose problems.

You can change these choices at any time from Cookie settings.